Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v4.reimbursement.submit
Class ReimbursementContextKeyType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.reimbursement.submit.ReimbursementContextKeyType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultReimbursementContextType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:36:45+02:00",
               comments="JAXB RI v2.2.11")
    public class ReimbursementContextKeyType

extends Object
implements Serializable

Java class for ReimbursementContextKeyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReimbursementContextKeyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="DeliveryEnvironment" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DeliveryEnvironmentType" />
           <attribute name="Code" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType" />
           <attribute name="CodeType" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeTypeType" />
           <attribute name="LegalReferencePath" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}LegalReferencePathType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ReimbursementContextKeyType()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`String` | `getCodeType()` Gets the value of the codeType property.
`String` | `getDeliveryEnvironment()` Gets the value of the deliveryEnvironment property.
`String` | `getLegalReferencePath()` Gets the value of the legalReferencePath property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setCodeType(String value)` Sets the value of the codeType property.
`void` | `setDeliveryEnvironment(String value)` Sets the value of the deliveryEnvironment property.
`void` | `setLegalReferencePath(String value)` Sets the value of the legalReferencePath property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReimbursementContextKeyType

    public ReimbursementContextKeyType()

Method Detail

### getDeliveryEnvironment

    public String getDeliveryEnvironment()

  Gets the value of the deliveryEnvironment property.

  Returns:
    possible object is `String`

### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)

  Sets the value of the deliveryEnvironment property.

  Parameters:
    `value` - allowed object is `String`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getCodeType

    public String getCodeType()

  Gets the value of the codeType property.

  Returns:
    possible object is `String`

### setCodeType

    public void setCodeType(String value)

  Sets the value of the codeType property.

  Parameters:
    `value` - allowed object is `String`

### getLegalReferencePath

    public String getLegalReferencePath()

  Gets the value of the legalReferencePath property.

  Returns:
    possible object is `String`

### setLegalReferencePath

    public void setLegalReferencePath(String value)

  Sets the value of the legalReferencePath property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.